%define rel 0.fdr.1

Summary: A PAM module that execute gnome-keyring-daemon and unlock the default keyring
Name: pam_keyring
Version: 0.0.3
Release: %rel
License: GPL
Group: System Environment/Base
Source: http://www.flyn.org/projects/%name/%name-%{PACKAGE_VERSION}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://www.flyn.org
Requires: gnome-session >= 2.7.3, gnome-keyring, pam

%description
The pam_keyring module allows GNOME users to automatically unlock 
their default keyring using their system password when they log in. 
This allows the data in the default keyring to be used more 
transparently. Ideally, users should only every have to enter one 
password (or physical token, etc.): the password they use to 
authenticate themselves to the system when they log in.



%prep


%setup


%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mkdir -p ${RPM_BUILD_ROOT}/%{_sysconfdir}/selinux/strict/src/policy/macros
mkdir -p ${RPM_BUILD_ROOT}/%{_sysconfdir}/selinux/strict/src/policy/file_contexts/misc
install --owner=root --group=root --mode=0644 config/pam_keyring_macros.te ${RPM_BUILD_ROOT}/%{_sysconfdir}/selinux/strict/src/policy/macros


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%{_mandir}/man8/*
/%{_lib}/security/pam_keyring.so
/%{_lib}/security/pam_keyring_auth.so
/%{_lib}/security/pam_keyring_session.so
%policy %{_sysconfdir}/selinux/strict/src/policy/macros/pam_keyring_macros.te


%doc	AUTHORS COPYING ChangeLog INSTALL NEWS README FAQ


%changelog
* Wed Jun 9 2004 W. Michael Petullo <> - 0.0.1-0.fdr.1
   - Initial RPM.




